


// 日期格式化
export function parseTime (time, pattern) {
  let aTime = time
    .toLocaleString()
    .replace(/T/g, ' ')
    .replace(/\.[\d]{3}Z/, '')


  if (arguments.length === 0 || !aTime) {
    return null
  }
  const format = pattern || '{y}-{m}-{d} {h}:{i}:{s}'
  let date
  if (typeof aTime === 'object') {
    date = aTime
  } else {
    if ((typeof aTime === 'string') && (/^[0-9]+$/.test(aTime))) {
      aTime = parseInt(aTime)
    } else if (typeof aTime === 'string') {
      aTime = aTime.replace(new RegExp(/-/gm), '/');
    }
    if ((typeof aTime === 'number') && (aTime.toString().length === 10)) {
      aTime = aTime * 1000
    }
    date = new Date(aTime)
  }
  const formatObj = {
    y: date.getFullYear(),
    m: date.getMonth() + 1,
    d: date.getDate(),
    h: date.getHours(),
    i: date.getMinutes(),
    s: date.getSeconds(),
    a: date.getDay()
  }
  const time_str = format.replace(/{(y|m|d|h|i|s|a)+}/g, (result, key) => {
    let value = formatObj[key]
    // Note: getDay() returns 0 on Sunday
    if (key === 'a') { return ['日', '一', '二', '三', '四', '五', '六'][value] }
    if (result.length > 0 && value < 10) {
      value = '0' + value
    }
    return value || 0
  })
  return time_str
}


export function SignInTime (time, pattern) {
  var date = new Date()
  // var year = date.getFullYear()
  // var month = date.getMonth() + 1 < 10 ? '0' + (date.getMonth() + 1) : date.getMonth() + 1
  // var day = date.getDate() < 10 ? '0' + date.getDate() : date.getDate()
  var hours = date.getHours() < 10 ? '0' + date.getHours() : date.getHours()
  var minutes = date.getMinutes() < 10 ? '0' + date.getMinutes() : date.getMinutes()
  var seconds = date.getSeconds() < 10 ? '0' + date.getSeconds() : date.getSeconds()
  let week = date.getDay() // 星期
  let weekArr = ['星期日', '星期一', '星期二', '星期三', '星期四', '星期五', '星期六']
  // 拼接 时间格式处理
  return hours + ':' + minutes + ':' + seconds + ' ' + weekArr[week]

  //  * 在日期格式中，月份是从0开始的
  //  * 使用三元表达式在小于10的前面加0，以达到格式统一  如 09:11:05

}




